# Deferred

#### new Deferred()

Deferred is modeled after jQuery's deferred object. It inverts a promise
such that its resolve and reject methods can be invoked without wrapping
all of the related code within a Promise's function.

Source:
  utils.js, line 22

### Methods

#### ⎆⠀constructor(resolveWith, rejectWith)

Creates an object with four properties of note; promise, resolve, reject
and a flag complete that will be set once either resolve or reject have
been called. A Deferred is considered to be pending while complete is set
to false.

Once constructed, resolve and reject can be called later, at which point,
the promise is completed. The promise property is the promise resolved
or rejected by the associated properties and can be used with other
async/await or Promise based code.

##### Parameters:

Name | Type | Description
--- | --- | ---
`resolveWith` | any | a deferred resolved as Promise.resolve() might do
`rejectWith` | any | a deferred rejected as Promise.reject() might do

Source:
  utils.js, line 30

#### ⬇︎⠀pending() → {boolean}

Shorthand getter that denotes true if the deferred is not yet complete.

##### Returns:

`( boolean )`

true if the promise is not yet complete; false otherwise

Source:
  utils.js, line 75